# property.h File Reference

Go to the source code of this file.

## Functions

MagickExport char * | GetNextImageProperty (const Image *)
MagickExport char ** | InterpretImageProperties (const ImageInfo *, Image *, const char *)
MagickExport char *** | RemoveImageProperty (Image *, const char *)
MagickExport const char * | GetImageProperty (const Image *, const char *)
MagickExport MagickBooleanType | CloneImageProperties (Image *, const Image *)
MagickExport MagickBooleanType | DefineImageProperty (Image *, const char *)
MagickExport MagickBooleanType | DeleteImageProperty (Image *, const char *)
MagickExport MagickBooleanType | FormatImageProperty (Image *, const char *, const char *,...) magick_attribute((format(printf
MagickExport MagickBooleanType | FormatImagePropertyList (Image *, const char *, const char *, va_list) magick_attribute((format(printf
MagickExport MagickBooleanType | SetImageProperty (Image *, const char *, const char *)
MagickExport void | DestroyImageProperties (Image *)
MagickExport void | ResetImagePropertyIterator (const Image *)

## Function Documentation

MagickExport MagickBooleanType CloneImageProperties | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType DefineImageProperty | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageProperty | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void DestroyImageProperties | ( | Image * |  | ) |

MagickExport MagickBooleanType FormatImageProperty | ( | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType FormatImagePropertyList | ( | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

MagickExport const char* GetImageProperty | ( | const Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char* GetNextImageProperty | ( | const Image * |  | ) |

MagickExport char* * InterpretImageProperties | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char* * * RemoveImageProperty | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void ResetImagePropertyIterator | ( | const Image * |  | ) |

MagickExport MagickBooleanType SetImageProperty | ( | Image * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |